---
updatedAt: 2025-06-11T20:15:27.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Country Listings

The **Country Listings** method lists all country data for use with other API endpoints. Standard [ISO Alpha 2 codes](http://www.nationsonline.org/oneworld/country_code_list.htm) as well as [IOC country codes](https://en.wikipedia.org/wiki/List_of_IOC_country_codes) are returned.

Results may be restricted by a pipe delimited list of country\_ids or region\_ids. A `federation_id` is returned for all countries with an affiliated Federation.

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/federations/countries
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/federations/countries": {
      "get": {
        "summary": "Country Listings",
        "description": "",
        "operationId": "country-listings",
        "parameters": [
          {
            "name": "region_id",
            "in": "query",
            "description": "Pipe delimited list of region_ids to filter the results",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "country_id",
            "in": "query",
            "description": "Pipe delimited list of country_ids to filter the results",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"code\":200,\n   \"status\":\"success\",\n   \"data\":[\n      {\n         \"country_id\":103,\n         \"country_name\":\"Algeria\",\n         \"country_noc\":\"ALG\",\n         \"county_isoa2\":\"DZ\",\n         \"region_id\":12,\n         \"region_name\":\"Africa\",\n         \"federation_id\":103184\n      }\n   ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "country_id": {
                            "type": "integer",
                            "example": 103,
                            "default": 0
                          },
                          "country_name": {
                            "type": "string",
                            "example": "Algeria"
                          },
                          "country_noc": {
                            "type": "string",
                            "example": "ALG"
                          },
                          "county_isoa2": {
                            "type": "string",
                            "example": "DZ"
                          },
                          "region_id": {
                            "type": "integer",
                            "example": 12,
                            "default": 0
                          },
                          "region_name": {
                            "type": "string",
                            "example": "Africa"
                          },
                          "federation_id": {
                            "type": "integer",
                            "example": 103184,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```